function [f y]=spectra(x)
% Calling sequence:
%       [f y]=spectra([time data])
%
% Computes the FFT of the functional curve represented by time and data,
% being time the temporal instances and data the functional values at each
% of these.
%
% The returned FFT is normalized to have the units of data.

dt=x(2,1)-x(1,1);
Fs=1/dt;
f = Fs/2*linspace(0,1,floor(length(x)/2));
y=2*fft(x(:,2))/length(x);
y=abs(y(1:floor(length(x)/2)));
